Subject: Re: bug#49846: 28.0.50; project-find-regexp results does not open target file

From: Dmitry Gutov <[email-masked]>
Date: Thu, 5 Aug 2021 16:13:14 +0300

On 05.08.2021 06:58, Pankaj Jangid wrote:

>> To be clear: you position the point on a group name, press RET and see
>> this message? That is expected.
>>
> 
> Okay. I didn’t know this. Has this change in recently? I remember
> hitting on the group and opening the target file. But true, with
> multiple results in the group that would be confusing.

I don't think this ever was different.

>> If we do end up changing this behavior, what would the "suitable
>> place" be? The first match in the group?
> 
> There are two options here:
> 
> 1. We just change the message. Something like: "select a match to open".
> 
> 2. In addition to above, we may have a customization variable. Something
>     like - xref-open-first-match
> 
> For this bug, (1) should be sufficient.

2. probably won't require a user option, there's no real danger in such 
change.

But which of the (1, 2) do you want to happen?